Summary:	GNU Forth Language
Summary(pl.UTF-8):	Kompilator GNU Forth
Name:		gforth
Version:	0.7.3
Release:	3
License:	GPL v3+
Group:		Development/Languages
Source0:	http://ftp.gnu.org/gnu/gforth/%{name}-%{version}.tar.gz
# Source0-md5:	ff484391e5cdf405867fcf96341820ab
Patch0:		%{name}-info.patch
Patch1:		%{name}-opt.patch
URL:		http://gnu.org/software/gforth/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
BuildRequires:	ffcall-devel
BuildRequires:	libltdl-devel
BuildRequires:	libtool
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		skip_post_check_so	.*%{_libdir}/gforth/%{version}/libcc-named/.*

%description
Gforth is a fast and portable implementation of the ANS Forth
language. It works nicely with the Emacs editor, offers some nice
features such as input completion and history and a powerful locals
facility, and it even has (the beginnings of) a manual. Gforth employs
traditional implementation techniques: its inner interpreter is
indirect or direct threaded. Gforth is distributed under the GNU
General Public License.

%description -l pl.UTF-8
Gforth jest szybką i przenośną implementacją języka ANS Forth. Dobrze
współpracuje z edytorem Emacs, oferując takie cechy jak dopełnianie i
historię wprowadzania ciągów znaków, ma także zaczątki podręcznika.
Gforth wykorzystuje tradycyjne techniki implementacji: jego wewnętrzny
interpreter jest pośrednio lub bezpośrednio wątkowany. Gforth jest
rozpowszechniany na Powszechnej Licencji Publicznej GNU.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%{__rm} doc/*.info*

%build
%{__aclocal}
%{__autoconf}
%configure

%{__make} -j1

%{__make} info

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gforth/%{version}/libcc-named/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS NEWS NEWS.vmgen README README.vmgen ToDo
%attr(755,root,root) %{_bindir}/gforth*
%attr(755,root,root) %{_bindir}/vmgen*
%dir %{_libdir}/gforth
%dir %{_libdir}/gforth/%{version}
%dir %{_libdir}/gforth/%{version}/libcc-named
%attr(755,root,root) %{_libdir}/gforth/%{version}/libcc-named/*.so*
%attr(755,root,root) %{_libdir}/gforth/%{version}/gforth-ditc
%{_libdir}/gforth/%{version}/gforth.fi
%dir %{_libdir}/gforth/site-forth
%{_includedir}/gforth
%{_infodir}/gforth.info*
%{_infodir}/vmgen.info*
%{_mandir}/man1/gforth.1*
%{_datadir}/gforth
%changelog
* Wed Dec 06 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gforth.git;a=log;h=master

* Wed Dec 06 2017 Jakub Bogusz <qboosh@pld-linux.org> 762728f
- release 3

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> 9df9416
- libffi rebuild
- release 2 (by relup.sh)

* Tue Jul 15 2014 Jakub Bogusz <qboosh@pld-linux.org> 8c77c3b
- non-parallel make

* Tue Jul 15 2014 Jakub Bogusz <qboosh@pld-linux.org> 2e08d3d
- updated to 0.7.3
- updated opt patch

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 7392b66
- dropped pre-cvs changelog

* Wed Nov 05 2008 Jakub Bogusz <qboosh@pld-linux.org> f6afe59
- updated to 0.7.0
- updated opt patch, removed obsolete acfix patch

* Wed Nov 05 2008 Jakub Bogusz <qboosh@pld-linux.org> 2b13619
- updated for 0.7.0

* Wed Nov 05 2008 Jakub Bogusz <qboosh@pld-linux.org> ccc125c
- obsolete

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> 6ff5da0
- unify ftp.gnu.org urls

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 979580a
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 10e2183
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e1cfd51
- converted to UTF-8

* Thu Dec 18 2003 Jakub Bogusz <qboosh@pld-linux.org> cb8cd70
- updated to 0.6.2
- updated opt patch, added acfix patch (for ac 2.58+)

* Thu Dec 18 2003 Jakub Bogusz <qboosh@pld-linux.org> 278d53f
- fix for ac 2.58+

* Thu Dec 18 2003 Jakub Bogusz <qboosh@pld-linux.org> e42c07e
- updated for 0.6.2

* Mon May 26 2003 Michal Moskal <michal@moskal.me> e68cf33
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> fd2b81f
- massive attack s/pld.org.pl/pld-linux.org/

* Sun May 11 2003 Jakub Bogusz <qboosh@pld-linux.org> bd6cdb6
- updated to 0.6.1
- updated info patch, removed obsolete AC_CYGWIN patch, added opt patch

* Wed Nov 27 2002 juandon <witekfl@pld-linux.org> 28a2eca
- new %%doc

* Wed Oct 09 2002 kloczek <kloczek@pld-linux.org> 9482c8e
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

